This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 723994 - Library needs partial RELRO support added
Library needs partial RELRO support added
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: openssl (Show other bugs)
6.1
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Tomas Mraz
BaseOS QE Security Team
:
Depends On:
Blocks: RHEL62CCC 846801 846802
  Show dependency treegraph
 
Reported: 2011-07-21 13:16 EDT by Steve Grubb
Modified: 2012-08-08 14:29 EDT (History)
2 users (show)

See Also:
Fixed In Version: openssl-1.0.0-15.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-06 13:08:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steve Grubb 2011-07-21 13:16:21 EDT
Description of problem:
The openssl package contains libraries. We would like them to be built with partial RELRO support as a security enhancement.

Additional info:
Partial RELRO requires these passed at link:
-Wl,-z,relro
Comment 4 errata-xmlrpc 2011-12-06 13:08:43 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1730.html

Note You need to log in before you can comment on or make changes to this bug.